--local goIcon = love.graphics.newImage("gfx/arrow-small.png")
local enterPopUp = love.graphics.newImage("gfx/enter-pop-up.png")

--local g = anim8.newGrid(30, 29, goIcon:getWidth(), goIcon:getHeight())
--
--animGoIconRigth	= anim8.newAnimation('loop', g('1-3,1'), 0.5)
--animGoIconLeft	= anim8.newAnimation('loop', g('1-3,1'), 0.5, nil, true)

local g = anim8.newGrid(80, 26, enterPopUp:getWidth(), enterPopUp:getHeight())

animEnterPopUp = anim8.newAnimation(g('1-7',1), {[1]=0.1,[2]=0.12,[3]=0.14,[4]=0.16,[5]=0.14,[6]=0.12,[7]=0.1})

transitionTime = 0 -- time of blackout betwen changing maps

function updateMapConnector(dt, x, y, currentPlace, map)
	--animGoIconRigth:update(dt)
	--animGoIconLeft:update(dt)
	animEnterPopUp:update(dt)

	if currentPlace == "Arefu" then
		--if x <= 16 * 15 then
		--	teleportPlayer(16 * 15, 472, "Arefu Fields", map02)
		--end
		if x <= 16 * 15 then
			teleportPlayer(16 * 15, 472, "Arefu Cemetery", map04)
		end
		if x >= 16 * 160 then
			teleportPlayer(16 * 15, 472, "Arefu Fields", map02)
		end

		-- # D O O R S
		if x > 16 * 58 and x < 16 * 60 and
			y > 16 * 15 and y < 16 * 20 then
			player.nearestDoor = {16 * 3, 16 * 15, "Arefu - Inn", map03, 16 * 60, 16 * 16}
		else
			player.nearestDoor = nil
		end
	end
	--if player.x > 16 * 58 and player.x < 16 * 60 and dialogState == nil then
	--	player.dialogState = "doors"
	--end

	if currentPlace == "Arefu - Inn" then
		if x <= 16 * 2 then
			teleportPlayer(16 * 60, 16 * 17, "Arefu", map01)
		end
	end

	if currentPlace == "Arefu Fields" then
		if x <= 16 * 13 then
			teleportPlayer(16 * 17, 472, "Arefu", map01)
		end
	end
end

function teleportPlayer(x, y, place, map)
	currentMap = map
	currentPlace = place
	player.x = x
	player.y = y
	camX = player.x - (windowWidth / 2)
	camY = player.y - (windowHeight / 2)
	entities = {}
	loadSpawnPoints(currentPlace)
	loadBackgroundTable(place)
	camera:setBounds( 0, 0, (currentMap.width * currentMap.tileWidth) - windowWidth, (currentMap.height * currentMap.tileHeight) - windowHeight )
	mapTransition()
end

function mapTransition()
	transitionTime = 0.39
	gameState = "mapTransition"
	love.graphics.setBackgroundColor(0,0,0)
end

function updateMapTransition(dt)
	transitionTime = transitionTime - dt
	if transitionTime <= 0 then
		transitionTime = 0
		love.graphics.setBackgroundColor(90,40,139)
		gameState = "playing"
	end
end

function drawMapConnector()
	--if player.x < 16 * 20 then
	--	animEnterPopUp:draw(enterPopUp, math.floor(player.x - 100), 432)
	--end
	--if player.x > 16 * 58 and player.x < 16 * 60 and player.dialogState == "doors" then
	--	animEnterPopUp:draw(enterPopUp, 16 * 60, 16 * 17)
	--end
	-- jeśli stoi przy drzwiach, wyświetl ikonkę
	if player.nearestDoor ~= nil then
		animEnterPopUp:draw(enterPopUp, player.nearestDoor[5], player.nearestDoor[6])
	end
end

function mapConnectorKeypressed( key, unicode )
	if key == "o" and player.nearestDoor ~= nil then
		teleportPlayer(player.nearestDoor[1], player.nearestDoor[2], player.nearestDoor[3], player.nearestDoor[4])
		player.nearestDoor = nil
	end
end